> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Logs

> Logs endpoints: Get Logs, Get Audit Logs, Get Imports, Get User Activity Logs

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Logs",
            "description": "Logs endpoints: Get Logs, Get Audit Logs, Get Imports, Get User Activity Logs",
            "url": "https://docs.dqlabs.ai/api-reference/logging/logs",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Get Logs">
    `POST /api/v1/logging`

    List all logs.

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object">
        <ResponseField name="logs" type="object[]">
          <ResponseField name="created_at" type="string">
            Example: `"2026-09-21T09:29:52.848160Z"`.
          </ResponseField>

          <ResponseField name="trace_id" type="string">
            Example: `"be9d231e6b7ea0b1bbe2c8cea8547e89"`.
          </ResponseField>

          <ResponseField name="span_id" type="string">
            Example: `"36a6454eac693836"`.
          </ResponseField>

          <ResponseField name="event_id" type="string" />

          <ResponseField name="session_id" type="string">
            Example: `"4246b1b1-c0fd-4adf-a35f-001a0cb015e2"`.
          </ResponseField>

          <ResponseField name="chat_session_id" type="string" />

          <ResponseField name="source_id" type="string" />

          <ResponseField name="asset_id" type="string" />

          <ResponseField name="metric_detail_id" type="string" />

          <ResponseField name="job_run_id" type="string" />

          <ResponseField name="name" type="string">
            Example: `"POST:- /api/v1/workflow/workflow-execution/list"`.
          </ResponseField>

          <ResponseField name="event_source" type="string" />

          <ResponseField name="event_type" type="string" />

          <ResponseField name="action" type="string" />

          <ResponseField name="entity" type="string" />

          <ResponseField name="status" type="string">
            Example: `"SUCCESS"`.
          </ResponseField>

          <ResponseField name="message" type="string" />

          <ResponseField name="source_name" type="string" />

          <ResponseField name="asset_name" type="string" />

          <ResponseField name="metric_detail_name" type="string" />

          <ResponseField name="job_type" type="string" />

          <ResponseField name="schedule_id" type="string" />

          <ResponseField name="schedule_name" type="string" />

          <ResponseField name="schedule_level" type="string" />

          <ResponseField name="user_id" type="string">
            Example: `"e23d5ca0-10e3-4572-8a1d-7eb6dcacb0e7"`.
          </ResponseField>

          <ResponseField name="service_name" type="string">
            Example: `"PRIZM-WORKFLOW-SERVICE"`.
          </ResponseField>

          <ResponseField name="service_version" type="string">
            Example: `"1.0.0"`.
          </ResponseField>

          <ResponseField name="start_time" type="string">
            Example: `"2026-09-21T09:29:52.816455Z"`.
          </ResponseField>

          <ResponseField name="end_time" type="string">
            Example: `"2026-09-21T09:29:52.887838Z"`.
          </ResponseField>

          <ResponseField name="latency_ms" type="integer">
            Example: `71`.
          </ResponseField>

          <ResponseField name="entity_id" type="string" />

          <ResponseField name="entity_type" type="string" />

          <ResponseField name="client_ip" type="string" />

          <ResponseField name="device_info" type="string" />
        </ResponseField>

        <ResponseField name="count" type="integer">
          Example: `1613590`.
        </ResponseField>

        <ResponseField name="stats" type="object">
          <ResponseField name="total_filtered" type="integer">
            Example: `1613590`.
          </ResponseField>

          <ResponseField name="total_count" type="integer">
            Example: `1613590`.
          </ResponseField>

          <ResponseField name="app" type="integer">
            Example: `1523451`.
          </ResponseField>

          <ResponseField name="ai" type="integer">
            Example: `25519`.
          </ResponseField>

          <ResponseField name="job" type="integer">
            Example: `64620`.
          </ResponseField>
        </ResponseField>
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/logging" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "List all logs.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": {
          "logs": [
            {
              "created_at": "2026-09-21T09:29:52.848160Z",
              "trace_id": "be9d231e6b7ea0b1bbe2c8cea8547e89",
              "span_id": "36a6454eac693836",
              "event_id": null,
              "session_id": "4246b1b1-c0fd-4adf-a35f-001a0cb015e2",
              "chat_session_id": null,
              "source_id": null,
              "asset_id": null,
              "metric_detail_id": null,
              "job_run_id": null,
              "name": "POST:- /api/v1/workflow/workflow-execution/list",
              "event_source": null,
              "event_type": null,
              "action": null,
              "entity": null,
              "status": "SUCCESS",
              "message": null,
              "source_name": null,
              "asset_name": null,
              "metric_detail_name": null,
              "job_type": null,
              "schedule_id": null,
              "schedule_name": null,
              "schedule_level": null,
              "user_id": "e23d5ca0-10e3-4572-8a1d-7eb6dcacb0e7",
              "service_name": "PRIZM-WORKFLOW-SERVICE",
              "service_version": "1.0.0",
              "start_time": "2026-09-21T09:29:52.816455Z",
              "end_time": "2026-09-21T09:29:52.887838Z",
              "latency_ms": 71,
              "entity_id": null,
              "entity_type": null,
              "client_ip": null,
              "device_info": null
            }
          ],
          "count": 1613590,
          "stats": {
            "total_filtered": 1613590,
            "total_count": 1613590,
            "app": 1523451,
            "ai": 25519,
            "job": 64620
          }
        }
      }
    }
    ```
  </Tab>

  <Tab title="Get Audit Logs">
    `POST /api/v1/logging/audit-logs`

    List all audit logs.

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="action" type="string">
          Example: `"view"`.
        </ResponseField>

        <ResponseField name="message" type="string">
          Example: `"User  viewed `SKU Identifier` term"`.
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-21T10:25:59.043241Z"`.
        </ResponseField>

        <ResponseField name="client_ip" type="string">
          Example: `"103.21.79.42:65238"`.
        </ResponseField>

        <ResponseField name="device_info" type="string">
          Example: `"{\"user_agent_raw\": \"Python-urllib/3.12\", \"browser\": \"Python-urllib\", \"browser_name\": \"Python-urllib\", \"accept_encoding\": \"identity\", \"device_type\": \"desktop\", \"display\": \"Python-urllib \\u00b7 Desktop\"}"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="count" type="integer">
        Example: `251854`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/logging/audit-logs" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "List all audit logs.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "action": "view",
            "message": "User  viewed `SKU Identifier` term",
            "created_at": "2026-09-21T10:25:59.043241Z",
            "client_ip": "103.21.79.42:65238",
            "device_info": "{\"user_agent_raw\": \"Python-urllib/3.12\", \"browser\": \"Python-urllib\", \"browser_name\": \"Python-urllib\", \"accept_encoding\": \"identity\", \"device_type\": \"desktop\", \"display\": \"Python-urllib \\u00b7 Desktop\"}"
          }
        ],
        "count": 251854
      }
    }
    ```
  </Tab>

  <Tab title="Get Imports">
    `POST /api/v1/logging/imports/import-logs`

    Get Imports

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"24dc3457-c8d4-4496-b5e0-6900dc6d5422"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"domains (2).xlsx"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"domain"`.
        </ResponseField>

        <ResponseField name="total_records" type="integer">
          Example: `2`.
        </ResponseField>

        <ResponseField name="passed_records" type="integer">
          Example: `2`.
        </ResponseField>

        <ResponseField name="failed_records" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-20T19:11:13.658818Z"`.
        </ResponseField>

        <ResponseField name="start_time" type="string">
          Example: `"2026-09-20T19:11:13.656543Z"`.
        </ResponseField>

        <ResponseField name="end_time" type="string">
          Example: `"2026-09-20T19:11:14.083691Z"`.
        </ResponseField>

        <ResponseField name="error_log" type="string" />

        <ResponseField name="duration" type="number">
          Example: `0.427148`.
        </ResponseField>

        <ResponseField name="status" type="string">
          Example: `"COMPLETED"`.
        </ResponseField>

        <ResponseField name="created_by" type="string">
          Example: `"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `136`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/logging/imports/import-logs" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get Imports",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "id": "24dc3457-c8d4-4496-b5e0-6900dc6d5422",
            "name": "domains (2).xlsx",
            "type": "domain",
            "total_records": 2,
            "passed_records": 2,
            "failed_records": 0,
            "created_at": "2026-09-20T19:11:13.658818Z",
            "start_time": "2026-09-20T19:11:13.656543Z",
            "end_time": "2026-09-20T19:11:14.083691Z",
            "error_log": null,
            "duration": 0.427148,
            "status": "COMPLETED",
            "created_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"
          }
        ],
        "total_count": 136
      }
    }
    ```
  </Tab>

  <Tab title="Get User Activity Logs">
    `POST /api/v1/logging/user-activity-logs`

    List all user activity logs (user sessions).

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object">
        <ResponseField name="logs" type="object[]">
          <ResponseField name="session_id" type="string">
            Example: `"4246b1b1-c0fd-4adf-a35f-001a0cb015e2"`.
          </ResponseField>

          <ResponseField name="user_id" type="string">
            Example: `"e23d5ca0-10e3-4572-8a1d-7eb6dcacb0e7"`.
          </ResponseField>

          <ResponseField name="client_ip" type="string">
            Example: `"103.21.79.42:60945"`.
          </ResponseField>

          <ResponseField name="device_info" type="object">
            <ResponseField name="os" type="string">
              Example: `"macos"`.
            </ResponseField>

            <ResponseField name="browser" type="string">
              Example: `"Chrome"`.
            </ResponseField>

            <ResponseField name="display" type="string">
              Example: `"Chrome 153 · macOS · Desktop"`.
            </ResponseField>

            <ResponseField name="device_type" type="string">
              Example: `"desktop"`.
            </ResponseField>

            <ResponseField name="browser_name" type="string">
              Example: `"Chrome"`.
            </ResponseField>

            <ResponseField name="user_agent_raw" type="string">
              Example: `"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/153.0.0.0 Safari/537.36"`.
            </ResponseField>

            <ResponseField name="accept_encoding" type="string">
              Example: `"gzip, deflate, br, zstd"`.
            </ResponseField>

            <ResponseField name="accept_language" type="string">
              Example: `"en-GB,en-US;q=0.9,en;q=0.8"`.
            </ResponseField>

            <ResponseField name="browser_version" type="string">
              Example: `"153"`.
            </ResponseField>
          </ResponseField>

          <ResponseField name="session_metadata" type="object">
            <ResponseField name="url" type="string">
              Example: `"http://benchmark.qa.prizmdata.ai/api/v1/auth/verify-code"`.
            </ResponseField>

            <ResponseField name="method" type="string">
              Example: `"POST"`.
            </ResponseField>

            <ResponseField name="headers" type="object" />

            <ResponseField name="timestamp" type="string">
              Example: `"2026-09-21T09:25:52.030709+00:00"`.
            </ResponseField>

            <ResponseField name="query_params" type="object" />
          </ResponseField>

          <ResponseField name="start_time" type="string">
            Example: `"2026-09-21T09:25:52.191745Z"`.
          </ResponseField>

          <ResponseField name="end_time" type="string" />

          <ResponseField name="latency" type="string" />

          <ResponseField name="created_at" type="string">
            Example: `"2026-09-21T09:25:52.328624Z"`.
          </ResponseField>

          <ResponseField name="audit_log_count" type="integer">
            Example: `11`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="count" type="integer">
          Example: `1316`.
        </ResponseField>
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/logging/user-activity-logs" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "List all user activity logs (user sessions).",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": {
          "logs": [
            {
              "session_id": "4246b1b1-c0fd-4adf-a35f-001a0cb015e2",
              "user_id": "e23d5ca0-10e3-4572-8a1d-7eb6dcacb0e7",
              "client_ip": "103.21.79.42:60945",
              "device_info": null,
              "session_metadata": null,
              "start_time": "2026-09-21T09:25:52.191745Z",
              "end_time": null,
              "latency": null,
              "created_at": "2026-09-21T09:25:52.328624Z",
              "audit_log_count": 11
            }
          ],
          "count": 1316
        }
      }
    }
    ```
  </Tab>
</Tabs>
